Get a custom map layer
get
/rest/ofscMetadata/v1/mapLayers/{label}
This operation retrieves the specified custom map layer.
Request
Path Parameters
-
label(required): string
The label of the custom map layer.
Response
Supported Media Types
- application/json
- application/schema+json
200 Response
This section describes the 200 status response for this operation.
Root Schema : MapLayers
Type:
objectTitle:
Show Source
MapLayers-
label(required):
string
Title:
LabelMinimum Length:1Maximum Length:24Pattern:^[A-Za-z0-9_]+$The unique identifier of the custom map layer. -
shapeHintButton:
object Plugin or form map layer hint button
Title:
Plugin or form map layer hint buttonThe object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin. -
shapeHintColumns:
array List of Shape Hint Columns
Title:
List of Shape Hint Columns -
shapeTitleColumn:
string
Title:
Shape Title ColumnThe name of the column that is selected as the title. This field is returned only if the property is set for the custom map layer. -
status:
string
Title:
StatusAllowed Values:[ "active", "inactive" ]The status of the custom map layers. The status can be set to either 'active' or 'inactive'. -
tableColumns:
array List of Table Columns
Title:
List of Table Columns -
text:
string
Title:
TextThe name of the custom map layer in the user's language. This field is returned only by using the GET operation and it is ignored in a PUT or POST operation. -
translations:
array Translations
Title:
TranslationsThe translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Nested Schema : Plugin or form map layer hint button
Type:
objectTitle:
Plugin or form map layer hint buttonThe object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin.
Show Source
-
actionType(required):
string
Title:
PluginForm TypeAllowed Values:[ "plugin", "form" ]The type of plugin or form the activity hint button on map layer. -
label(required):
string
Title:
Label for plugin or formMinimum Length:1Maximum Length:64The label plugin or form for map layer hint.
Nested Schema : List of Shape Hint Columns
Type:
arrayTitle:
Show Source
List of Shape Hint Columns-
Array of:
object Shape Hint Column
Title:
Shape Hint Column
Nested Schema : Translations
Type:
arrayTitle:
TranslationsThe translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Show Source
Nested Schema : Shape Hint Column
Type:
objectTitle:
Show Source
Shape Hint Column-
defaultName(required):
string
Title:
Default Name -
pluginFormField(required):
string
Title:
Plugin or Form Column NameMaximum Length:255 -
sourceColumn(required):
string
Title:
Source Column Name
Nested Schema : Translation
Type:
Show Source
object-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get a specific custom map layer by submitting a GET request on the REST resource.
Example of Request Header
The following shows an example of the request header.
GET /rest/ofscMetadata/v1/mapLayers/mapLayerLabel HTTP/1.0
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 Ok
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"label": "mapLayerLabel",
"type": "external",
"status": "active",
"sourceName": "testName",
"theme": "testTheme",
"url": "http://testurl.com",
"text": "some text",
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/mapLayers/testLabel"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/mapLayers"
}
]
}